<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('shop_infos', function (Blueprint $table) {
            $table->comment('店铺');
            $table->increments('id');
            $table->unsignedBigInteger('auth_record_id')->nullable()->comment('店铺认证记录编号');
            $table->unsignedBigInteger('salesperson_id')->nullable()->comment('业务员编号');
            $table->string('state')->default('ENABLE')->comment('状态');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('shop_infos');
    }
};
